import { app, ipcMain } from "electron";
import { installServiceUpdate } from "../boot/updater";
import path from "path";
import { WORKING_DIR } from "../constants";


ipcMain.handle('update:installServiceUpdate', async (_, bundleName: string) => {
    await installServiceUpdate(path.join(WORKING_DIR, bundleName));
});

ipcMain.handle('update:restartApp', async () => {
    app.relaunch();
    app.exit(0);
});